DEVICE_INFO = {
		'deviceid' : 'FF:FF:FF:FF:FF:FF',
		'features' : '0x77',
		'model' : 'AppleTV2,1',
		'srcvers' : '101.10'
}

EVENT_INFO_PLAYING = "playing"
EVENT_INFO_PAUSED = "paused"
EVENT_INFO_LOADING = "loading"
EVENT_INFO_STOPPED = "stopped"

EVENT_INFO = """<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
	<dict>
		<key>category</key>
		<string>video</string>
		<key>state</key>
		<string>%s</string>
	</dict>
</plist>
"""

SLIDESHOW_FEATURES = '<?xml version="1.0" encoding="UTF-8"?>\
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">\
<plist version="1.0">\
<dict>\
<key>themes</key>\
<array>\
		<dict>\
				<key>key</key>\
				<string>KenBurns</string>\
				<key>name</key>\
				<string>Ken Burns</string>\
				<key>transitions</key>\
				<array>\
						<dict>\
								<key>key</key>\
								<string>None</string>\
								<key>name</key>\
								<string>None</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Cube</string>\
								<key>name</key>\
								<string>Cube</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>Dissolve</string>\
								<key>name</key>\
								<string>Dissolve</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>Droplet</string>\
								<key>name</key>\
								<string>Droplet</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>FadeThruColor</string>\
								<key>name</key>\
								<string>Fade Through White</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Flip</string>\
								<key>name</key>\
								<string>Flip</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>TileFlip</string>\
								<key>name</key>\
								<string>Mosaic Flip</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>MoveIn</string>\
								<key>name</key>\
								<string>Move In</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>PageFlip</string>\
								<key>name</key>\
								<string>Page Flip</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Push</string>\
								<key>name</key>\
								<string>Push</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Reveal</string>\
								<key>name</key>\
								<string>Reveal</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>Twirl</string>\
								<key>name</key>\
								<string>Twirl</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Wipe</string>\
								<key>name</key>\
								<string>Wipe</string>\
						</dict>\
				</array>\
		</dict>\
		<dict>\
				<key>key</key>\
				<string>Origami</string>\
				<key>name</key>\
				<string>Origami</string>\
		</dict>\
		<dict>\
				<key>key</key>\
				<string>Reflections</string>\
				<key>name</key>\
				<string>Reflections</string>\
		</dict>\
		<dict>\
				<key>key</key>\
				<string>Snapshots</string>\
				<key>name</key>\
				<string>Snapshots</string>\
		</dict>\
		<dict>\
				<key>key</key>\
				<string>Classic</string>\
				<key>name</key>\
				<string>Classic</string>\
				<key>transitions</key>\
				<array>\
						<dict>\
								<key>key</key>\
								<string>None</string>\
								<key>name</key>\
								<string>None</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Cube</string>\
								<key>name</key>\
								<string>Cube</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>Dissolve</string>\
								<key>name</key>\
								<string>Dissolve</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>Droplet</string>\
								<key>name</key>\
								<string>Droplet</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>FadeThruColor</string>\
								<key>name</key>\
								<string>Fade Through White</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Flip</string>\
								<key>name</key>\
								<string>Flip</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>TileFlip</string>\
								<key>name</key>\
								<string>Mosaic Flip</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>MoveIn</string>\
								<key>name</key>\
								<string>Move In</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>PageFlip</string>\
								<key>name</key>\
								<string>Page Flip</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Push</string>\
								<key>name</key>\
								<string>Push</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Reveal</string>\
								<key>name</key>\
								<string>Reveal</string>\
						</dict>\
						<dict>\
								<key>key</key>\
								<string>Twirl</string>\
								<key>name</key>\
								<string>Twirl</string>\
						</dict>\
						<dict>\
								<key>directions</key>\
								<array>\
										<string>up</string>\
										<string>down</string>\
										<string>left</string>\
										<string>down</string>\
								</array>\
								<key>key</key>\
								<string>Wipe</string>\
								<key>name</key>\
								<string>Wipe</string>\
						</dict>\
				</array>\
		</dict>\
</array>\
</dict>\
</plist>'

SERVER_INFO = '<?xml version="1.0" encoding="UTF-8"?>\
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">\
<plist version="1.0">\
<dict>\
<key>deviceid</key>\
<string>58:55:CA:06:BD:9E</string>\
<key>features</key>\
<integer>119</integer>\
<key>model</key>\
<string>AppleTV2,1</string>\
<key>protovers</key>\
<string>1.0</string>\
<key>srcvers</key>\
<string>101.10</string>\
</dict>\
</plist>'

PLAYBACK_INFO = '<?xml version="1.0" encoding="UTF-8"?>\
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">\
<plist version="1.0">\
<dict>\
<key>duration</key>\
<real>%f</real>\
<key>loadedTimeRanges</key>\
<array>\
		<dict>\
				<key>duration</key>\
				<real>%f</real>\
				<key>start</key>\
				<real>0.0</real>\
		</dict>\
</array>\
<key>playbackBufferEmpty</key>\
<true/>\
<key>playbackBufferFull</key>\
<false/>\
<key>playbackLikelyToKeepUp</key>\
<true/>\
<key>position</key>\
<real>%f</real>\
<key>rate</key>\
<real>%d</real>\
<key>readyToPlay</key>\
<true/>\
<key>seekableTimeRanges</key>\
<array>\
		<dict>\
				<key>duration</key>\
				<real>%f</real>\
				<key>start</key>\
				<real>0.0</real>\
		</dict>\
</array>\
</dict>\
</plist>'